// Copyright (c) 2000
// Utrecht University (The Netherlands),
// ETH Zurich (Switzerland),
// INRIA Sophia-Antipolis (France),
// Max-Planck-Institute Saarbruecken (Germany),
// and Tel-Aviv University (Israel).  All rights reserved.
//
// This file is part of CGAL (www.cgal.org)
//
// $URL: https://github.com/CGAL/cgal/blob/v5.5.1/Intersections_2/include/CGAL/intersection_2.h $
// $Id: intersection_2.h 8b41189 2020-03-26T18:58:21+01:00 Sébastien Loriot
// SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-Commercial
//
//
// Author(s)     : Geert-Jan Giezeman



#ifndef CGAL_INTERSECTION_2_H
#define CGAL_INTERSECTION_2_H

#include <CGAL/Intersections_2/Bbox_2_Circle_2.h>
#include <CGAL/Intersections_2/Bbox_2_Line_2.h>
#include <CGAL/Intersections_2/Bbox_2_Point_2.h>
#include <CGAL/Intersections_2/Bbox_2_Ray_2.h>

#include <CGAL/Intersections_2/Circle_2_Circle_2.h>
#include <CGAL/Intersections_2/Circle_2_Iso_rectangle_2.h>
#include <CGAL/Intersections_2/Circle_2_Line_2.h>
#include <CGAL/Intersections_2/Circle_2_Point_2.h>
#include <CGAL/Intersections_2/Circle_2_Segment_2.h>
#include <CGAL/Intersections_2/Circle_2_Ray_2.h>
#include <CGAL/Intersections_2/Circle_2_Triangle_2.h>


#include <CGAL/Intersections_2/Iso_rectangle_2_Iso_rectangle_2.h>
#include <CGAL/Intersections_2/Iso_rectangle_2_Line_2.h>
#include <CGAL/Intersections_2/Iso_rectangle_2_Point_2.h>
#include <CGAL/Intersections_2/Iso_rectangle_2_Ray_2.h>
#include <CGAL/Intersections_2/Iso_rectangle_2_Segment_2.h>
#include <CGAL/Intersections_2/Iso_rectangle_2_Triangle_2.h>

#include <CGAL/Intersections_2/Line_2_Line_2.h>
#include <CGAL/Intersections_2/Line_2_Point_2.h>
#include <CGAL/Intersections_2/Line_2_Ray_2.h>
#include <CGAL/Intersections_2/Line_2_Segment_2.h>
#include <CGAL/Intersections_2/Line_2_Triangle_2.h>

#include <CGAL/Intersections_2/Point_2_Point_2.h>
#include <CGAL/Intersections_2/Point_2_Ray_2.h>
#include <CGAL/Intersections_2/Point_2_Segment_2.h>
#include <CGAL/Intersections_2/Point_2_Triangle_2.h>

#include <CGAL/Intersections_2/Ray_2_Ray_2.h>
#include <CGAL/Intersections_2/Ray_2_Segment_2.h>
#include <CGAL/Intersections_2/Ray_2_Triangle_2.h>

#include <CGAL/Intersections_2/Segment_2_Segment_2.h>
#include <CGAL/Intersections_2/Segment_2_Triangle_2.h>

#include <CGAL/Intersections_2/Triangle_2_Triangle_2.h>

#endif // CGAL_INTERSECTION_2_H
